import { Method } from "axios";
export declare function request(url: URL, method?: Method, payload?: unknown, headers?: Record<string, string>, transformResponse?: (data: string) => string): Promise<string>;
export declare function requestTransformed<T>(cls: new () => T, url: URL, method?: Method, payload?: unknown, headers?: Record<string, string>, transformResponse?: (data: string) => string): Promise<T>;
export declare function requestTransformedArray<T>(cls: new () => T, url: URL, method?: Method, payload?: unknown, headers?: Record<string, string>, transformResponse?: (data: string) => string): Promise<T[]>;
export declare function buildHeaders(url: URL, headers?: Record<string, string>): Record<string, string>;
export declare function stripByteOrderMark(str: string): string;
