import { LanguageCode } from "../../shared/models";
import { CurrencyOverview } from "./CurrencyOverview";
import { History } from "./History";
import { CurrencyOption } from "./models";
/**
 * @endpoint https://poe.ninja/api/data/CurrencyOverview
 * @param league
 * @param type
 * @param language
 */
export declare const getOverview: (league: string, type: CurrencyOption, language?: LanguageCode) => Promise<CurrencyOverview>;
/**
 * @endpoint https://poe.ninja/api/data/CurrencyHistory
 * @param league
 * @param type
 * @param id
 */
export declare const getHistory: (league: string, type: CurrencyOption, id: number) => Promise<History>;
