import { Transformable } from "../../../common/classes";
export declare class Statistics extends Transformable {
    id: number;
    /**
     * @overrides `next_change_id`
     */
    nextChangeId: string;
    /**
     * @overrides `api_bytes_downloaded`
     */
    apiBytesDownloaded: number;
    /**
     * @overrides `stash_tabs_processed`
     */
    stashTabsProcessed: number;
    /**
     * @overrides `api_calls`
     */
    apiCalls: number;
    /**
     * @overrides `character_bytes_downloaded`
     */
    characterBytesDownloaded: number;
    /**
     * @overrides `character_api_calls`
     */
    characterApiCalls: number;
    /**
     * @overrides `ladder_bytes_downloaded`
     */
    ladderBytesDownloaded: number;
    /**
     * @overrides `ladder_api_calls`
     */
    ladderApiCalls: number;
    /**
     * @overrides `pob_characters_calculated`
     */
    pobCharactersCalculated: number;
    oauth_flows: number;
}
