import { Transformable } from "../../../common/classes";
import { Sparkline } from "../history";
import { Modifier } from "./models";
export declare class ItemBase extends Transformable {
    id: number;
    name: string;
    itemClass: number;
    sparkline: Sparkline;
    lowConfidenceSparkline: Sparkline;
    implicitModifiers: Modifier[];
    explicitModifiers: Modifier[];
    chaosValue: number;
    exaltedValue: number;
    divineValue: number;
    count: number;
    detailsId: string;
    listingCount: number;
    icon: string;
    flavourText: string;
    levelRequired: number;
}
