import { IRealmOptions } from "../../../shared";
import { Profile } from "../../../shared/accounts";
export { getShowcasePins } from "../../public/accounts/API";
/**
 * @remarks
 * Requires [[Settings.accessToken]] to be set and the scope `account:profile`.
 *
 *
 * @endpoint https://api.pathofexile.com/profile
 * @param options
 * @throws [[APIError]]
 */
export declare const getProfile: (options?: IRealmOptions) => Promise<Profile>;
