import { ShowcasePinCollection, ShowcasePinOptions } from "../../../shared/accounts";
/**
 * @remarks
 * This data is available even if the profile of the account is set to private
 *
 * @endpoint https://pathofexile.com/api/account/showcase-pins
 * @param accountName
 * @param options
 * @throws [[APIError]]
 */
export declare const getShowcasePins: (accountName: string, options?: ShowcasePinOptions) => Promise<ShowcasePinCollection>;
