import { Microtransaction } from "./Microtransaction";
export declare abstract class Entry {
    id: number;
    startAt: Date;
    endAt: Date;
    imageUrl: string;
    url: string;
    description: string;
    specialType: string;
    cost: number;
    priority: number;
    platform: string | null;
    microtransaction: Microtransaction;
    category: boolean;
    countdownSpecial: boolean;
    countdownImage?: string | null;
}
