import { Stash } from "../../../shared/stashes";
import { SessionStashTab } from "./StashTab";
/**
 * @hidden
 */
export declare class LayoutSection {
    x: number;
    y: number;
    w: number;
    h: number;
    section?: string;
    hidden?: boolean;
}
/**
 * @hidden
 */
export declare class CurrencyLayout {
    sections: string[];
    layout: Record<string, LayoutSection>;
}
/**
 * @hidden
 */
export declare class SessionStash extends Stash<SessionStashTab> {
    tabs: SessionStashTab[];
    currencyLayout?: CurrencyLayout;
    private items?;
}
