import { IgnoredAccounts } from "../../../shared/trade/ignore";
/**
 * @remarks
 * Requires [[Settings.sessionId]] to be set.
 *
 * @endpoint https://pathofexile.com/api/trade/ignore
 * @param page Between `1` and `10`, will default to `1` if out of range
 * @returns A list of up to 50 ignored accounts
 * @throws [[APIError]]
 */
export declare const getIgnoredAccounts: (page?: number) => Promise<IgnoredAccounts>;
