/**
 * Error messages as defined in https://www.pathofexile.com/developer/docs/index#errors
 */
export declare enum ErrorMessage {
    Accepted = "Accepted",
    ResourceNotFound = "Resource not found",
    InvalidQuery = "Invalid Query",
    RateLimitExceeded = "Rate limit exceeded",
    InternalError = "Internal Error",
    UnexpectedContentType = "Unexpected content type",
    Forbidden = "Forbidden",
    TemporarilyUnavailable = "Temporarily Unavailable",
    Unauthorized = "Unauthorized",
    MethodNotAllowed = "Method not allowed",
    UnprocessableEntity = "Unprocessable Entity"
}
