import { InventoryId } from "./models/InventoryId";
import { IncubatedItem, Influences, Property, Socket } from "./models";
import { ItemBase } from "./ItemBase";
import { SocketedItem } from "./SocketedItem";
export declare class Item extends ItemBase {
    inventoryId?: InventoryId | string;
    x?: number;
    y?: number;
    sockets?: Socket[];
    properties?: Property[];
    flavourText?: string[];
    craftedMods?: string[];
    enchantMods?: string[];
    itemLevel?: number;
    prophecyText?: string;
    utilityMods?: string[];
    artFilename?: string;
    note?: string;
    talismanTier?: number;
    influences?: Influences;
    elder?: boolean;
    shaper?: boolean;
    incubatedItem?: IncubatedItem;
    delve?: boolean;
    veiledMods?: string[];
    veiled?: boolean;
    duplicated?: boolean;
    isRelic?: boolean;
    cosmeticMods?: string[];
    stackSizeText?: string;
    replica?: boolean;
    cisRaceReward?: boolean;
    socketedItems?: SocketedItem[];
}
