import { ItemBase } from "./ItemBase";
import { ItemColour } from "./models/ItemColour";
import { Property } from "./models/Property";
/**
 * Represents an item that is socketed into another item, i.e. gems.
 */
export declare class SocketedItem extends ItemBase {
    properties: Property[];
    socket: number;
    colour: ItemColour | null;
    support?: boolean;
    descrText: string;
    secDescrText: string;
    explicitMods: string[];
    requirements: Property[];
}
