import Color from "color";
import { Transformable } from "../../../common/classes/Transformable";
import { Item } from "../item/Item";
import { StashType } from "./models";
export declare abstract class StashTabBase extends Transformable {
    name: string;
    index: number;
    id: string;
    type: StashType;
    children?: StashTabBase[];
    items?: Item[];
    abstract get Color(): Color;
    /**
     * Updates the values of this stash tab, including the items.
     * @throws [[APIError]]
     */
    abstract update(): Promise<void>;
}
