import { HistoryPoint, LanguageCode } from "../../../shared";
import { IncubatorOverview } from "./ItemOverview";
/**
 * @endpoint https://poe.ninja/api/data/ItemOverview
 * @param league
 * @param language
 */
export declare const getOverview: (league: string, language?: LanguageCode) => Promise<IncubatorOverview>;
/**
 * @endpoint https://poe.ninja/api/data/ItemHistory
 * @param league
 * @param id
 */
export declare const getHistory: (league: string, id: number) => Promise<HistoryPoint[]>;
