import { HistoryPoint, LanguageCode } from "../../../shared";
import { ItemOption } from "../models/ItemOption";
import { MapOverview } from "./ItemOverview";
/**
 * @endpoint https://poe.ninja/api/data/ItemOverview
 * @param league
 * @param language
 */
export declare const getOverview: (league: string, type: ItemOption.Map | ItemOption.UniqueMap | ItemOption.BlightedMap | ItemOption.BlightRavageddMap, language?: LanguageCode) => Promise<MapOverview>;
/**
 * @endpoint https://poe.ninja/api/data/ItemHistory
 * @param league
 * @param id
 */
export declare const getHistory: (league: string, id: number) => Promise<HistoryPoint[]>;
