import { InventoryItem } from "../../../shared/item";
import { Passives } from "../../../shared/passives";
import { Character } from "../../../shared/characters";
import { OAuthCharacterBase } from "./CharacterBase";
/**
 * @hidden
 */
export declare class OAuthCharacter extends OAuthCharacterBase implements Character {
    equipment: InventoryItem[];
    inventory: InventoryItem[];
    jewels: InventoryItem[];
    passives: Passives;
    updateInventory(replace?: boolean | undefined): Promise<[inventory: InventoryItem[], equipment: InventoryItem[]]>;
    updatePassives(replace?: boolean): Promise<[passives: Passives, jewels: InventoryItem[]]>;
}
