import { Transformable } from "../../../common/classes/Transformable";
import { Account } from "../accounts";
import { Guild } from "./Guild";
/**
 * Transaction of points for mictrotransactions.
 */
export declare class PointTransaction extends Transformable {
    id: number;
    points: number;
    status: string;
    notes: string[];
    manual: boolean;
    guild: Guild;
    account: Account;
    createdAt: Date;
}
