import { BlightOil } from "../../models/BlightOil";
import { ClusterJewel } from "./ClusterJewel";
import { MasteryEffect } from "./MasteryEffect";
export declare abstract class PassiveNode {
    out: string[];
    in: string[];
    skill?: string;
    name?: string;
    icon?: string;
    isKeystone?: boolean;
    isNotable?: boolean;
    isMastery?: boolean;
    inactiveIcon?: string;
    activeIcon?: string;
    activeEffectImage?: string;
    masteryEffects?: MasteryEffect[];
    isBlighted?: boolean;
    isProxy?: boolean;
    isJewelSocket?: boolean;
    expansionJewel?: ClusterJewel;
    recipe?: BlightOil[];
    grantedStrength?: number;
    grantedDexterity?: number;
    grantedIntelligence?: number;
    ascendancyName?: string;
    isAscendancyStart?: boolean;
    isMultipleChoice?: boolean;
    isMultipleChoiceOption?: boolean;
    grantedPassivePoints?: number;
    stats?: string[];
    reminderText?: string[];
    flavourText?: string[];
    classStartIndex?: number;
    group?: string;
    orbit?: number;
    orbitIndex?: number;
}
