import { Transformable } from "../../../../../common/classes";
export declare abstract class Exchange extends Transformable {
    currency: string;
    amount: number;
}
export declare abstract class PricedItem {
    id: string;
    currency: string;
    amount: number;
    stock: number;
}
export declare abstract class ListedPrice extends Transformable {
    type?: string;
    amount?: number;
    currency?: string;
    tag?: string;
    exchange?: Exchange;
    item?: PricedItem;
}
